Page MenuHomePhabricator

wikidata.org lacks SPF record
Closed, ResolvedPublic

Description

I sent an email to legal@, and they forwarded to info@wikidata.org, and the OTRS queue replied.

And it had Gmail "?" mark which typically means it does not have SPF record or something like that. And a dig query confirmed that. Since wikidata.org actually sends some emails, it'd be better to have SPF record.

;; QUESTION SECTION:
;wikidata.org.			IN	TXT

;; ANSWER SECTION:
wikidata.org.		599	IN	TXT	"google-site-verification=8Twc3OrOQ9oBq5C81ZCsPa3fRRJT1xdt5yDBvdnDtUQ"

;; Query time: 316 msec
;; SERVER: 8.8.8.8#53(8.8.8.8)
;; WHEN: Thu Nov 22 19:43:02 KST 2018

Details

Related Gerrit Patches:
operations/dns : masterAdd SPF record for wikidata.org

Event Timeline

revi created this task.Nov 22 2018, 10:43 AM
Restricted Application added projects: Operations, Traffic, User-revi. · View Herald TranscriptNov 22 2018, 10:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
revi moved this task from Incoming to Radar on the User-revi board.Nov 22 2018, 10:43 AM
Addshore moved this task from incoming to monitoring on the Wikidata board.

Change 477034 had a related patch set uploaded (by Revi; owner: Revi):
[operations/dns@master] Add SPF record for wikidata.org

https://gerrit.wikimedia.org/r/477034

Krenair added a subscriber: Krenair.
herron added a subscriber: herron.Dec 3 2018, 2:24 PM
ema moved this task from Triage to DNS Names on the Traffic board.Dec 5 2018, 10:21 AM
Vgutierrez closed this task as Resolved.Apr 12 2019, 6:01 AM
Vgutierrez claimed this task.
Vgutierrez added a subscriber: Vgutierrez.

Fixed by T193408

Change 477034 abandoned by Revi:
Add SPF record for wikidata.org

Reason:
Bug fixed

https://gerrit.wikimedia.org/r/477034